#!/bin/sh

OSXVER=10.12

# Please modify this path setting
RPMDIR=${HOME}/rpm
ROOTDIR=OSXWS

if [ -d ./$ROOTDIR ]; then
	echo "rm -rf $ROOTDIR"
	rm -rf $ROOTDIR
fi
mkdir $ROOTDIR
pushd $ROOTDIR

## make directories
mkdir -p opt/osxws/etc/apt/apt.conf.d
mkdir -p opt/osxws/etc/apt/translate.list.d
mkdir -p opt/osxws/var/cache/apt/archives/partial
mkdir -p opt/osxws/var/cache/apt/genpkglist
mkdir -p opt/osxws/var/cache/apt/gensrclist
mkdir -p opt/osxws/var/lib/apt/lists/partial
mkdir -p opt/osxws/var/tmp
mkdir -p opt/osxws/var/lock/rpm
mkdir -p opt/osxws/bin
mkdir -p opt/osxws/lib/apt/methods
mkdir -p opt/osxws/lib/rpm/
mkdir -p opt/osxws/lib/rpm-plugins
mkdir -p opt/osxws/share/apt/scripts
mkdir -p opt/osxws/share/locale/ja/LC_MESSAGES

## copy files
#cp -fRp /opt/osxws/etc/apt/apt.conf opt/osxws/etc/apt/
#cp -fRp /opt/osxws/etc/apt/apt.conf.d opt/osxws/etc/apt/
#cp -fRp /opt/osxws/etc/apt/preferences opt/osxws/etc/apt/
#cp -fRp /opt/osxws/etc/apt/rpmpriorities opt/osxws/etc/apt/
#cp -fRp /opt/osxws/etc/apt/sources.list opt/osxws/etc/apt/
#cp -fRp /opt/osxws/etc/apt/translate.list.d opt/osxws/etc/apt/
cp -fRp ../apt/* opt/osxws/etc/apt/
cp -fRp /opt/osxws/bin/apt opt/osxws/bin/
#cp -fRp /opt/osxws/bin/apt-cache opt/osxws/bin/
#cp -fRp /opt/osxws/bin/apt-cache-static opt/osxws/bin/
#cp -fRp /opt/osxws/bin/apt-cdrom opt/osxws/bin/
#cp -fRp /opt/osxws/bin/apt-cdrom-static opt/osxws/bin/
#cp -fRp /opt/osxws/bin/apt-config opt/osxws/bin/
cp -fRp /opt/osxws/bin/apt-get opt/osxws/bin/
#cp -fRp /opt/osxws/bin/apt-get-static opt/osxws/bin/
#cp -fRp /opt/osxws/bin/apt-shell opt/osxws/bin/
cp -fRp /opt/osxws/bin/genbasedir opt/osxws/bin/
cp -fRp /opt/osxws/bin/gendiff opt/osxws/bin/
cp -fRp /opt/osxws/bin/genpkglist opt/osxws/bin/
cp -fRp /opt/osxws/bin/gensrclist opt/osxws/bin/
#cp -fRp /opt/osxws/bin/gpg opt/osxws/bin/
#cp -fRp /opt/osxws/bin/gpg-zip opt/osxws/bin/
#cp -fRp /opt/osxws/bin/gpgsplit opt/osxws/bin/
#cp -fRp /opt/osxws/bin/gpgv opt/osxws/bin/
#cp -fRp /opt/osxws/bin/lspgpot opt/osxws/bin/
cp -fRp /opt/osxws/bin/rpm opt/osxws/bin/
cp -fRp /opt/osxws/bin/rpm2cpio opt/osxws/bin/
cp -fRp /opt/osxws/bin/rpmdb opt/osxws/bin/
cp -fRp /opt/osxws/bin/rpmkeys opt/osxws/bin/
cp -fRp /opt/osxws/bin/rpmquery opt/osxws/bin/
cp -fRp /opt/osxws/bin/rpmsign opt/osxws/bin/
cp -fRp /opt/osxws/bin/rpmverify opt/osxws/bin/
cp -fRp /opt/osxws/lib/apt/methods/bzip2 opt/osxws/lib/apt/methods
cp -fRp /opt/osxws/lib/apt/methods/cdrom opt/osxws/lib/apt/methods
cp -fRp /opt/osxws/lib/apt/methods/copy opt/osxws/lib/apt/methods
cp -fRp /opt/osxws/lib/apt/methods/file opt/osxws/lib/apt/methods
cp -fRp /opt/osxws/lib/apt/methods/ftp opt/osxws/lib/apt/methods
cp -fRp /opt/osxws/lib/apt/methods/gpg opt/osxws/lib/apt/methods
cp -fRp /opt/osxws/lib/apt/methods/gzip opt/osxws/lib/apt/methods
cp -fRp /opt/osxws/lib/apt/methods/http opt/osxws/lib/apt/methods
cp -fRp /opt/osxws/lib/apt/methods/rsh opt/osxws/lib/apt/methods
cp -fRp /opt/osxws/lib/apt/methods/ssh opt/osxws/lib/apt/methods
#cp -fRp /opt/osxws/lib/gnupg opt/osxws/lib/
cp -fRp /opt/osxws/lib/libapt-pkg.*.dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libarchive.*.dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libdb-*.dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libintl.*dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/liblua-*.dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/liblzma.*.dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libmagic*.dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libnspr4.*dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libnss3.*dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libnssutil3.*dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libfreebl3.* opt/osxws/lib/
cp -fRp /opt/osxws/lib/libsoftokn3.* opt/osxws/lib/
cp -fRp /opt/osxws/lib/libreadline.*dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libplc4.*dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libplds4.*dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libpopt.*dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/libpopt.dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/librpm*.dylib opt/osxws/lib/
cp -fRp /opt/osxws/lib/rpm/config.guess opt/osxws/lib/rpm/
cp -fRp /opt/osxws/lib/rpm/config.sub opt/osxws/lib/rpm/
#cp -fRp /opt/osxws/lib/rpm/convertrpmrc.sh opt/osxws/lib/rpm/
#cp -fRp /opt/osxws/lib/rpm/gnupg opt/osxws/lib/rpm/
#cp -fRp /opt/osxws/lib/rpm/freshen.sh opt/osxws/lib/rpm/
cp -fRp /opt/osxws/lib/rpm/macros opt/osxws/lib/rpm/
cp -fRp /opt/osxws/lib/rpm/mkinstalldirs opt/osxws/lib/rpm/
cp -fRp /opt/osxws/lib/rpm/rpm.daily opt/osxws/lib/rpm/
cp -fRp /opt/osxws/lib/rpm/rpm.log opt/osxws/lib/rpm/
#cp -fRp /opt/osxws/lib/rpm/rpm.xinetd opt/osxws/lib/rpm/
cp -fRp /opt/osxws/lib/rpm/rpm2cpio.sh opt/osxws/lib/rpm/
cp -fRp /opt/osxws/lib/rpm/rpmpopt-* opt/osxws/lib/rpm/
cp -fRp /opt/osxws/lib/rpm/rpmrc opt/osxws/lib/rpm/
cp -fRp /opt/osxws/lib/rpm/tgpg opt/osxws/lib/rpm/
#cp -fRp /opt/osxws/lib/rpm-plugins/* opt/osxws/lib/rpm-plugins/
cp -fRp /opt/osxws/share/apt/scripts/*.lua opt/osxws/share/apt/scripts
cp -fRp /opt/osxws/share/locale/ja/LC_MESSAGES/apt.mo opt/osxws/share/locale/ja/LC_MESSAGES/
#cp -fRp /opt/osxws/share/locale/ja/LC_MESSAGES/gnupg.mo opt/osxws/share/locale/ja/LC_MESSAGES/
cp -fRp /opt/osxws/share/locale/ja/LC_MESSAGES/popt.mo opt/osxws/share/locale/ja/LC_MESSAGES/
cp -fRp /opt/osxws/share/locale/ja/LC_MESSAGES/rpm.mo opt/osxws/share/locale/ja/LC_MESSAGES/

cp -fRp ${RPMDIR}/RPMS/noarch/OSX-{Preferences,X11,system,Client,Server}* opt/osxws/var/tmp/
cp -fRp ${RPMDIR}/SOURCES/OSX-Preferences/OSX-Preferences-${OSXVER}.tar.bz2 ../
popd
